// JZData.h: interface for the JZData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_JZDATA_H__71C67AB1_868D_4082_B7FC_1F2BE9930FB8__INCLUDED_)
#define AFX_JZDATA_H__71C67AB1_868D_4082_B7FC_1F2BE9930FB8__INCLUDED_

struct JZStanice
{
	//data
	struct JZStanice_Linka {
		int linka;
		short cas;

		//helper methods
		JZStanice_Linka() {}
		JZStanice_Linka(short c,int l) {cas=c;linka=l;}
	};

	int id;
	CArray<JZStanice_Linka, JZStanice_Linka &> odjezdy;
	void odjezdySort(void);

	//helper methods
	JZStanice() {odjezdy.SetSize(0,8);}	
private:
	static int cmp(const void *e1,const void *e2);
};

struct JZLinka
{
	struct JZLinka_Stanice {
		int id;
		short prijezd,odjezd;

		//helper methods
		JZLinka_Stanice() {}
		JZLinka_Stanice(int i,short p,short o) {id=i;prijezd=p;odjezd=o;}
	};

	int id;
	CArray<JZLinka_Stanice,JZLinka_Stanice &> stanice;
	CStringArray pozn;

	//helper methods
	JZLinka() {stanice.SetSize(0,8);pozn.SetSize(0,4);}
};

struct JZData  
{
	CString parse(CString fname);

	CStringArray staniceNazvy;
	void staniceNazvySort(void);
	CMap<CString,LPCSTR,int,int> staniceHash;
	CArray<JZStanice, JZStanice &> stanice;

	CStringArray linkyNazvy;
	void linkyNazvySort(void);
	CMap<CString,LPCSTR,int,int> linkyHash;
	CArray<JZLinka, JZLinka &> linky;
private:
	void sort(CStringArray &what);
	static int cmp(const void *e1,const void *e2);
};

#endif // !defined(AFX_JZDATA_H__71C67AB1_868D_4082_B7FC_1F2BE9930FB8__INCLUDED_)
