// JZServerDlg.h : header file
//

#if !defined(AFX_JZSERVERDLG_H__0E991CA0_CE5F_439E_B37B_C2FFCC015E6D__INCLUDED_)
#define AFX_JZSERVERDLG_H__0E991CA0_CE5F_439E_B37B_C2FFCC015E6D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CJZServerDlg dialog

#define WM_TRAYCLICK (WM_USER+1)
#define WM_ICON_WORKING (WM_USER+2)
#define WM_ICON_DONE (WM_USER+3)
#define WM_LOG (WM_USER+4)
#define MODIFY_ICON(icon,text,mode)  {	NOTIFYICONDATA nid;ZeroMemory(&nid,sizeof(nid));nid.cbSize=sizeof(nid);nid.hWnd=GetSafeHwnd();nid.hIcon=AfxGetApp()->LoadIcon(icon);strcpy(nid.szTip,text);nid.uCallbackMessage=WM_TRAYCLICK;nid.uFlags=NIF_ICON|NIF_TIP|NIF_MESSAGE;Shell_NotifyIcon(mode,&nid);}
#define SHOW_ICON(icon,text)   MODIFY_ICON(icon,text,NIM_ADD)
#define UPDATE_ICON(icon,text) MODIFY_ICON(icon,text,NIM_MODIFY)
#define HIDE_ICON(icon,text)   MODIFY_ICON(icon,text,NIM_DELETE)


class CJZServerDlg : public CDialog
{
// Construction
public:
	CJZServerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CJZServerDlg)
	enum { IDD = IDD_JZSERVER_DIALOG };
	CString	m_strLog;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJZServerDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CJZServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	afx_msg void OnTrayShow();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	afx_msg LRESULT OnTrayClick(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnIconWorking(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnIconDone(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnLog(WPARAM wParam, LPARAM lParam);

	CMenu trayMenu;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JZSERVERDLG_H__0E991CA0_CE5F_439E_B37B_C2FFCC015E6D__INCLUDED_)
