#include <stdafx.h>
#include "JZSluzbyHledac.h"

#define DAY (24*60)

struct StaniceInfo {
	short cas;
	short vlak;
	short from;
	short skok;
};

int Hledej(int from, int over, int to, int odjezd,int prestupy,JZData *rady,SpojInfo *res)
{
	if (prestupy>10) prestupy=10; //aby nam nedosla pamet na stacku

	int i,j,k;
	register int off=prestupy+2;

	//alokuj pomocne promenne
	char *linky=(char *)_alloca(2*rady->linky.GetSize());
	memset(linky,0,2*rady->linky.GetSize());

	int stanice_len=rady->stanice.GetSize();
	StaniceInfo **stanice=(StaniceInfo **)_alloca(sizeof(StaniceInfo *)*2*off);
	for (i=(over==-1) ? off : 0;i<2*off;i++) {
		stanice[i]=(StaniceInfo *)_alloca(stanice_len*sizeof(StaniceInfo));
		memset(stanice[i],0xFF,stanice_len*sizeof(StaniceInfo));
	}
	stanice[(over==-1)*off][from].cas=odjezd;

	short best=-1,besti=-1,nezlepseni=0;
	for (k=1;k<off;k++) for (i=k;i<2*off;i+=off) {
		if (i<off && over==-1) continue;
	
		for (j=0;j<stanice_len;j++) if (stanice[i-1][j].cas!=-1) {
			//at first, lets optimize... if we were here sooner with less
			//train changes, dont even try to continue from here...
			for (int predchozi=(i>off)*off;predchozi<i-1;predchozi++)
				if (stanice[predchozi][j].cas!=-1 && stanice[predchozi][j].cas <= stanice[i-1][j].cas) 
					break;
			if (predchozi<i-1) continue;

			//that's enough, lets go working
			int cas=stanice[i-1][j].cas % DAY, dny=stanice[i-1][j].cas / DAY;	

			for (int vlak=rady->stanice[j].odjezdy.GetSize()-1;vlak>=0;vlak--) {
				JZStanice::JZStanice_Linka l=rady->stanice[j].odjezdy[vlak];
				int pricti=(l.cas < cas) ? dny + 1 : dny;

				if (linky[2*l.linka+(i>off)] && linky[2*l.linka+(i>off)] < pricti) continue;
				linky[2*l.linka+(i>off)]=pricti+1;
				pricti*=DAY;

				int zastavka=0;
				int pocet_zastavek=rady->linky[l.linka].stanice.GetSize();
				while (zastavka < pocet_zastavek 
					&& (rady->linky[l.linka].stanice[zastavka].id != j || rady->linky[l.linka].stanice[zastavka].odjezd != l.cas)) zastavka++;
				int last_time=rady->linky[l.linka].stanice[zastavka++].odjezd;
				int skok=0;
				while (zastavka < pocet_zastavek) { //zbyle opravdove zastavky
					JZLinka::JZLinka_Stanice s=rady->linky[l.linka].stanice[zastavka++];
					int prijezd=(s.prijezd!=-1) ? s.prijezd : s.odjezd;
					if (prijezd < last_time) {pricti+=DAY;last_time=prijezd;}

					prijezd+=pricti;
					if (i<off && s.id == over) skok=off;
					if (stanice[i+skok][s.id].cas==-1 || stanice[i+skok][s.id].cas > prijezd) {
						stanice[i+skok][s.id].cas=prijezd;
						stanice[i+skok][s.id].from=j;
						stanice[i+skok][s.id].vlak=l.linka;
						stanice[i+skok][s.id].skok=skok;
					}

					if (s.odjezd!=-1 && s.odjezd < last_time) pricti+=DAY;
					last_time=s.odjezd;
				}
			}
		}
		if (i<off) continue;

		if (stanice[i][to].cas!=-1 && (best==-1 || best > stanice[i][to].cas)) {
			best=stanice[i][to].cas;
			besti=i;
			nezlepseni=0;
		} else nezlepseni++;

		//podvodna heuristika :)
		if (best!=-1 && nezlepseni>1) break;
	}

	if (besti==-1 || besti==0) return -1;
	
	int zastavka=to; i=besti;
	for (k=besti-off-1;k>=0;k--) {
		res[k].vlak=stanice[i][zastavka].vlak;
		res[k].to=zastavka;
		res[k].from=stanice[i][zastavka].from;
		i=i-1-stanice[i][zastavka].skok;
		zastavka=res[k].from;
	}
	return besti-off;
}

#if 0
int Hledej(int from, int over, int to, int odjezd,int prestupy,JZData *rady,SpojInfo *res)
{
	if (prestupy>10) prestupy=10; //aby nam nedosla pamet na stacku

	int i,j,k;
	register int off=prestupy+2;

	//alokuj pomocne promenne
	char *linky=(char *)_alloca(rady->linky.GetSize());

	int stanice_len=rady->stanice.GetSize();
	StaniceInfo **stanice=(StaniceInfo **)_alloca(sizeof(StaniceInfo *)*2*off);
	for (i=(over==-1) ? off : 0;i<2*off;i++) {
		stanice[i]=(StaniceInfo *)_alloca(stanice_len*sizeof(StaniceInfo));
		memset(stanice[i],0xFF,stanice_len*sizeof(StaniceInfo));
	}

	stanice[(over==-1)*off][from].cas=odjezd;

	short best=-1,besti=-1,nezlepseni=0;
	for (k=1;k<off;k++) for (i=k;i<2*off;i+=off) {
		if (i<off && over==-1) continue;
		memset(linky,0,rady->linky.GetSize());
	
		for (j=0;j<stanice_len;j++) if (stanice[i-1][j].cas!=-1) {
			int cas=stanice[i-1][j].cas % DAY, dny=stanice[i-1][j].cas / DAY;	

			for (int vlak=rady->stanice[j].odjezdy.GetSize()-1;vlak>=0;vlak--) {
				JZStanice::JZStanice_Linka l=rady->stanice[j].odjezdy[vlak];
				int pricti=(l.cas < cas) ? dny + 1 : dny;

				if (linky[l.linka] && linky[l.linka] < pricti) continue;
				linky[l.linka]=pricti+1;
				pricti*=DAY;

				int zastavka=0;
				int pocet_zastavek=rady->linky[l.linka].stanice.GetSize();
				while (zastavka < pocet_zastavek && rady->linky[l.linka].stanice[zastavka].id != j) zastavka++;
				int last_time=rady->linky[l.linka].stanice[zastavka++].odjezd;
				int skok=0;
				while (zastavka < pocet_zastavek) { //zbyle opravdove zastavky
					JZLinka::JZLinka_Stanice s=rady->linky[l.linka].stanice[zastavka++];
					int prijezd=(s.prijezd!=-1) ? s.prijezd : s.odjezd;
					if (prijezd < last_time) {pricti+=DAY;last_time=prijezd;}

					prijezd+=pricti;
					if (i<off && s.id == over) skok=off;
					if (stanice[i+skok][s.id].cas==-1 || stanice[i+skok][s.id].cas > prijezd) {
						stanice[i+skok][s.id].cas=prijezd;
						stanice[i+skok][s.id].from=j;
						stanice[i+skok][s.id].vlak=l.linka;
						stanice[i+skok][s.id].skok=skok;
					}

					if (s.odjezd!=-1 && s.odjezd < last_time) pricti+=DAY;
					last_time=s.odjezd;
				}
			}
		}
		if (i<off) continue;

		if (stanice[i][to].cas!=-1 && (best==-1 || best > stanice[i][to].cas)) {
			best=stanice[i][to].cas;
			besti=i;
			nezlepseni=0;
		} else nezlepseni++;

		//podvodna heuristika :)
		if (best!=-1 && nezlepseni>1) break;
	}

	if (besti==-1 || besti==0) return -1;
	
	int zastavka=to; i=besti;
	for (k=besti-off-1;k>=0;k--) {
		res[k].vlak=stanice[i][zastavka].vlak;
		res[k].to=zastavka;
		res[k].from=stanice[i][zastavka].from;
		i=i-1-stanice[i][zastavka].skok;
		zastavka=res[k].from;
	}
	return besti-off;
}
#endif